package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.FacedInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.FacedInfoMapper")
public interface FacedInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(FacedInfo record);

    FacedInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(FacedInfo record);

    List<FacedInfo> queryAllFacedInfo(FacedInfo record);

    List<FacedInfo> queryFacedInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    FacedInfo queryFacedInfo(FacedInfo record);

    List<FacedInfo> query(FacedInfo record);
}

